<?xml version="1.0" encoding="utf-8"?>

<creole>
    <files>
    </files>
    <containers>
        <container name='fichier' id='12'>
            <package>eole-fichier-primaire-pkg</package>
            <file name='/etc/smbldap-tools/smbldap.conf'/>
            <file name='/etc/smbldap-tools/smbldap_bind.conf'/>
            <!-- client ldap-->
            <file name='/etc/nsswitch.conf' source="nsswitch.conf.default"/>
            <file name='/etc/ldap.conf'/>
            <file name='/etc/ldap/ldap.conf'/>
            <service servicelist='winbind'>winbind</service>
        </container>
    </containers>

    <variables>
        <family name='services'>
            <variable name='activer_client_ldap' redefine='True' hidden='True'>
                <value>distant</value>
            </variable>
        </family>
        <family name='annuaire'>
            <!-- the basedn can't be modified on Scribe & Horus -->
            <variable name='ldap_base_dn' redefine='True' hidden='True'/>
            <variable name='ldap_nss' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
        </family>
        <family name="samba">
            <variable name="activer_winbind" type="oui/non" description="Activer winbind" mode="expert">
                <value>non</value>
            </variable>
            <variable name="smb_ldap_machine_suffix" type="string" description="Suffixe de machine LDAP" mode="expert"/>
            <variable name="smb_ldap_group_suffix" type="string" description="Suffixe de groupe LDAP" mode="expert"/>
            <variable name="smb_ldap_max_pwd_age" type="number"
                      description="Âge maximal par défaut des mots de passe"
                      mode="expert">
                <value>0</value>
            </variable>
            <variable name='smb_idmap_negative_cache_time' type='number' description="Durée du cache des résultats de requêtes négatifs" mode='expert'>
                <value>120</value>
            </variable>
            <variable name="smb_ldap_replication_sleep" type="number" description="LDAP replication sleep" mode="expert"/>
            <variable name="smb_ldap_page_size" type="number" description="Nombre d'entrées par page dans une requête LDAP" mode="expert"/>
            <variable name='smb_ldap_connection_timeout' type='number' description="Délai avant abandon pour la connexion au LDAP" mode='expert'/>
            <variable name="smb_ldap_suffix" type='string' description="Base DN de l'annuaire utilisé par Samba"/>
            <variable name="smb_ldap_admin_dn" type='string' description="Nom de l'administrateur du domaine LDAP">
                <value>cn=admin,o=gouv,c=fr</value>
            </variable>
            <variable name="ead_support_multietab" type="oui/non" description="Support du multi-établissement" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='smb_share_model' type='string' description='Modèle de partage par défaut'>
                <value>standard</value>
            </variable>
            <variable name='smb_logon_home' type='string' description="Répertoire home distant de l'utilisateur" mandatory="True" mode="expert">
                <value>\\%N\%U</value>
            </variable>
            <variable name='smb_logon_script' type='string' description="Nom du script de logon" mandatory="True" mode="expert">
                <value>%U%a.bat</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_winbind'>
            <param>non</param>
            <target type='servicelist'>winbind</target>
        </condition>
        <check name="valid_enum" target="smb_share_model">
            <param type="python">eosfunc.list_files('/usr/share/eole/fichier/models','*.tmpl',True,default=['standard'])</param>
            <param name="checkval">False</param>
        </check>
        <fill name='calc_val' target='smb_ldap_suffix'>
            <param type='eole' name='valeur'>ldap_base_dn</param>
        </fill>
        <condition name='frozen_if_in' source='activer_client_ldap'>
            <param>local</param>
            <target type='variable'>adresse_ip_ldap</target>
            <!-- ldap_base_dn can be modified on local installation #5707-->
            <!--<target type='variable'>ldap_base_dn</target>-->
            <target type='variable'>ldap_tls</target>
            <target type='variable'>ldap_nss</target>
        </condition>

    </constraints>

    <help>
        <variable name="smb_ldap_max_pwd_age">
            Définit la durée en jours avant expiration d’un mot de
            passe. Cette durée est compté à partir de la date
            d’enregistrement du mot de passe.
        </variable>
        <variable name="ead_support_multietab">Le mode multi-établissement permet de gérer plusieurs établissements au sein d'un seul module EOLE</variable>
        <variable name="smb_idmap_negative_cache_time">Durée exprimée en secondes (une valeur de 1 désactive le cache)</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
